Name:           perl-bioperl
Version:        1.5.2_102
Release:        7%{?dist}
Summary:        A package of Perl tools for computational molecular biology

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://bioperl.org
Source0:        http://bioperl.org/DIST/bioperl-%{version}.tar.bz2
Patch0:         bioperl-1.5.2_102-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Ace)
BuildRequires:  perl(Class::AutoClass) >= 1
BuildRequires:  perl(Clone)
BuildRequires:  perl(Convert::Binary::C)
BuildRequires:  perl(Data::Stag::XMLWriter)
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(DBD::Pg)
BuildRequires:  perl(GD) >= 1.3
BuildRequires:  perl(GD::SVG)
BuildRequires:  perl(Graph)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(IO::Stringy)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(PostScript::TextBlock)
BuildRequires:  perl(Set::Scalar)
BuildRequires:  perl(SOAP::Lite)
BuildRequires:  perl(Spreadsheet::ParseExcel)
BuildRequires:  perl(Storable)
BuildRequires:  perl(SVG) >= 2.26
BuildRequires:  perl(SVG::Graph) >= 0.01
BuildRequires:  perl(Text::Shellwords)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(XML::DOM::XPath) >= 0.13
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Parser::PerlSAX)
BuildRequires:  perl(XML::SAX) >= 0.14
BuildRequires:  perl(XML::SAX::Writer)
BuildRequires:  perl(XML::Twig)
BuildRequires:  perl(XML::Writer) > 0.4
BuildRequires:  perl(Module::Build)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Bioperl is a package of Perl tools for computational molecular
biology.

%prep
%setup -q -n bioperl-%{version}
%patch0 -p1 

# remove all execute bits from the doc stuff
find examples -type f -exec chmod -x {} 2>/dev/null ';'
##find doc -type f -exec chmod -x {} 2>/dev/null ';'
##find scripts -type f -exec chmod -x {} 2>/dev/null ';'

%build
%{__perl} Build.PL --installdirs vendor << EOF
n
a
n
EOF

./Build

# make sure the man page is UTF-8...
cd blib/libdoc
for i in Bio::Tools::GuessSeqFormat.3pm Bio::Tools::Geneid.3pm; do
    iconv --from=ISO-8859-1 --to=UTF-8 $i > new
    mv new $i
done


%install
rm -rf $RPM_BUILD_ROOT
#make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
perl Build pure_install --destdir=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
# remove errant execute bit from the .pm's
find $RPM_BUILD_ROOT -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'
# correct all binaries in /usr/bin to be 0755
find $RPM_BUILD_ROOT/%{_bindir} -type f -name '*.pl' -exec chmod 0755 {} 2>/dev/null ';'

%check
%{?_with_check:./Build test || :}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
## don't distribute "doc" subdirectory,  doesn't contain docs
%doc examples models 
%doc AUTHORS BUGS Changes DEPRECATED  INSTALL LICENSE PLATFORMS README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*    

%changelog
* Thu Apr 19 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_102-7
- Fix 'perl Build' command so that it does not attempt CPAN downloads.

* Thu Apr 19 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_102-6
- Enable scripts, now that bioperl-run is in the repository.

* Tue Apr 03 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_102-5
- Fix changelog

* Tue Apr 03 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_102-4
- Disable tests because many of them require network access, add
  _with_check macro so they can be enabled during testing.

* Mon Apr 02 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_102-3
- Remove BuildRequires: perl(Bio::ASN1::EntrezGene), creates a
  circular dependency, the dependency is still found at install-time.

* Thu Mar 29 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_102-2
- Add all BRs listed as 'recommends' in Build.PL so that it never
  needs to get packages from CPAN.
- Remove unnecessary filtering of Requires

* Wed Mar 23 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.5.2_102-1
- Update to 1.5.2_102
- Review suggestions from Steven Pritchard
- BR: perl(IO::String)
- Disable scripts for now as they require bioperl-run (not yet packaged)
- Don't mark non-documentation files as documentation.

* Wed Apr 06 2005 Hunter Matthews <thm@duke.edu> 1.5.0-3
- Review suggestions from José Pedro Oliveira

* Mon Apr 01 2005 Hunter Matthews <thm@duke.edu> 1.5.0-2
- Added buildrequires and improved documention entries from FE mailing list.

* Mon Mar 21 2005 Hunter Matthews <thm@duke.edu> 1.5.0-1
- Initial build. I started with the biolinux.org rpm, but broke out 
  most of the deps and built them seperately.
